package jiraclient

import (
	"net/http"
)

func NewJiraClient(username, token, domain string) *JiraClient {
	client := &http.Client{}

	return &JiraClient{
		Username: username,
		Token:    token,
		Domain:   domain,
		Client:   client,
	}
}

// JiraClient manages communication with Jira Cloud's V2 REST API.
type JiraClient struct {
	Username string
	Token    string
	Domain   string
	Client   *http.Client
}
